import { Command, flags } from '@oclif/command';
import * as Parser from '@oclif/parser';
declare class SecureRmCommand extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        version: Parser.flags.IBooleanFlag<void>;
        help: Parser.flags.IBooleanFlag<void>;
        standard: flags.IOptionFlag<"randomData" | "randomByte" | "zeroes" | "ones" | "secure" | "GOST_R50739-95" | "HMG_IS5" | "AR380-19" | "VSITR" | "schneier" | "pfitzner" | "gutmann" | undefined>;
        retries: flags.IOptionFlag<number | undefined>;
        force: Parser.flags.IBooleanFlag<boolean>;
        mute: Parser.flags.IBooleanFlag<boolean>;
        globbing: Parser.flags.IBooleanFlag<boolean>;
        table: Parser.flags.IBooleanFlag<void>;
    };
    static args: {
        name: string;
        required: boolean;
    }[];
    static strict: boolean;
    run(): Promise<void>;
}
export = SecureRmCommand;
