import { unlink, Options, Callback } from './lib/secure-rm';
import { validIDs, standards, UnlinkStandard } from './lib/standards';
import { write, eventEmitter } from './lib/write';
interface SecureRm {
    (path: string, options?: Options | Callback, callback?: Callback): typeof unlink;
    event: typeof eventEmitter;
    write: typeof write;
    standards: typeof standards;
    validIDs: typeof validIDs;
    UnlinkStandard: typeof UnlinkStandard;
    default: SecureRm;
}
declare let secureRmExport: SecureRm;
export = secureRmExport;
