/// <reference types="node" />
import { eventEmitter } from './write';
declare type Callback = (err: NodeJS.ErrnoException | null) => void;
interface ArgsUnlinkMethod {
    name: string;
    passes: number;
    description: string;
    method: (file: string, callback: Callback) => void;
}
declare class UnlinkMethod {
    readonly name: string;
    readonly passes: number;
    readonly description: string;
    readonly method: any;
    constructor({ name, passes, description, method }: ArgsUnlinkMethod);
}
declare const methods: {
    'randomData': UnlinkMethod;
    'randomByte': UnlinkMethod;
    'zeroes': UnlinkMethod;
    'ones': UnlinkMethod;
    'secure': UnlinkMethod;
    'GOST_R50739-95': UnlinkMethod;
    'HMG_IS5': UnlinkMethod;
    'AR380-19': UnlinkMethod;
    'VSITR': UnlinkMethod;
    'schneier': UnlinkMethod;
    'pfitzner': UnlinkMethod;
    'gutmann': UnlinkMethod;
};
declare const validIDs: "randomData" | "randomByte" | "zeroes" | "ones" | "secure" | "GOST_R50739-95" | "HMG_IS5" | "AR380-19" | "VSITR" | "schneier" | "pfitzner" | "gutmann";
export { methods, eventEmitter, validIDs };
